QXmpp: QXmppE2eeMetadata Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppE2eeMetadata Class Reference

The QXmppE2eeMetadata class contains data used for end-to-end encryption purposes. More...

## Public Member Functions
| QXmppE2eeMetadata ()
| QXmppE2eeMetadata (const QXmppE2eeMetadata &other)
| Copy-constructor.
| QXmppE2eeMetadata (QXmppE2eeMetadata &&)
| Move-constructor.
QXmppE2eeMetadata & | operator= (const QXmppE2eeMetadata &other)
| Assignment operator.
QXmppE2eeMetadata & | operator= (QXmppE2eeMetadata &&)
| Assignment move-operator.
QXmpp::EncryptionMethod | encryption () const
void | setEncryption (QXmpp::EncryptionMethod encryption)
QByteArray | senderKey () const
void | setSenderKey (const QByteArray &keyId)
QDateTime | sceTimestamp () const
void | setSceTimestamp (const QDateTime &timestamp)

## Friends
class | QXmppStanza

## Detailed Description

The QXmppE2eeMetadata class contains data used for end-to-end encryption purposes.

Since
  QXmpp 1.5

## Constructor & Destructor Documentation

## ◆ QXmppE2eeMetadata()

QXmppE2eeMetadata::QXmppE2eeMetadata | ( |  | ) |

Constructs a class for end-to-end encryption metadata.

## Member Function Documentation

## ◆ encryption()

QXmpp::EncryptionMethod QXmppE2eeMetadata::encryption | ( |  | ) | const

Returns the used encryption protocol.

Returns
  the encryption protocol

## ◆ sceTimestamp()

QDateTime QXmppE2eeMetadata::sceTimestamp | ( |  | ) | const

Returns the timestamp affix element's content as defined by XEP-0420: Stanza Content Encryption (SCE).

The SCE timestamp is part of an encrypted stanza's SCE envelope, not an unencrypted direct child of a transmitted stanza and thus not de- / serialized by it. Instead, it is set by an encryption protocol such as XEP-0384: OMEMO Encryption after decryption. It can be used by trust management protocols such as XEP-0450: Automatic Trust Management (ATM).

Since
  QXmpp 1.5

## ◆ senderKey()

QByteArray QXmppE2eeMetadata::senderKey | ( |  | ) | const

Returns the ID of this stanza's sender's public long-term key.

The sender key ID is not part of a transmitted stanza and thus not de- / serialized. Instead, the key ID is set by an encryption protocol such as XEP-0384: OMEMO Encryption during decryption. It can be used by trust management protocols such as XEP-0450: Automatic Trust Management (ATM).

Returns
  the ID of the sender's key

Since
  QXmpp 1.5

## ◆ setEncryption()

void QXmppE2eeMetadata::setEncryption | ( | QXmpp::EncryptionMethod | encryption | ) |

Sets the used encryption protocol.

Parameters

  encryption | encryption protocol

## ◆ setSceTimestamp()

void QXmppE2eeMetadata::setSceTimestamp | ( | const QDateTime & | timestamp | ) |

Sets the timestamp affix element's content as defined by XEP-0420: Stanza Content Encryption (SCE).

The SCE timestamp is part of an encrypted stanza's SCE envelope, not an unencrypted direct child of a transmitted stanza and thus not de- / serialized by it. Instead, it is set by an encryption protocol such as XEP-0384: OMEMO Encryption after decryption. It can be used by trust management protocols such as XEP-0450: Automatic Trust Management (ATM).

Since
  QXmpp 1.5

## ◆ setSenderKey()

void QXmppE2eeMetadata::setSenderKey | ( | const QByteArray & | keyId | ) |

Sets the ID of this stanza's sender's public long-term key.

The sender key ID is not part of a transmitted stanza and thus not de- / serialized. Instead, it is set by an encryption protocol such as XEP-0384: OMEMO Encryption during decryption. It can be used by trust management protocols such as XEP-0450: Automatic Trust Management (ATM).

Parameters

  keyId | ID of the sender's key

Since
  QXmpp 1.5

The documentation for this class was generated from the following files:

- QXmppE2eeMetadata.h
- QXmppStanza.cpp